#main-box {
    height: 670px;
    top: 120px;
}

.spacer {
    padding-left: 10px;
}

.disable-button {
    pointer-events: none;
    background-color: lightgray;
}

.nav {
    position: absolute;
    width: 50%;
    bottom: 10px;
    display: flex;
    justify-content: space-around;
    left: 50%;
    transform: translate(-50%);
}

#prev {
    display: none;
}

#main-title {
    font-size: 40px;
    text-align: center;
    color: brown;
    font-weight: bold;
}

#main-instructions {
    font-size: 20px;
    text-align: center;
    color: brown;
}

#verb-selection {
    width: 700px;
    height: 500px;
    position: relative;
    top: 10px;
    left: 50%;
    transform: translate(-50%);
    /* display: none; */
}

#verb-list {
    margin: 20px 0 20px 0;
    text-align: center;
}

#verb-list-selected-verbs {
    width: 600px;
    height: 250px;
    position: relative;
    top: 10px;
    left: 50%;
    transform: translate(-50%);
    background-color: whitesmoke;
    border-radius: 10px;
    overflow-y: auto;
    text-align: center;
    padding-top: 60px;
}

.verb-list-arabic {
    font-family: scheherazade;
    font-size: 40px;
    color: brown;
}

.verb-list-english {
    font-size: 18px;
    color: darkblue;
}

.verb-list-type {
    font-size: 15px;
    font-style: italic;
    color: darkgreen;
}

#form-selection {
    width: 550px;
    height: 500px;
    position: relative;
    top: 10px;
    left: 50%;
    transform: translate(-50%);
    display: none;
}

#type-selection {
    width: 550px;
    height: 500px;
    position: relative;
    top: 10px;
    left: 50%;
    transform: translate(-50%);
    display: none;
}

#tense-selection {
    width: 550px;
    height: 500px;
    position: relative;
    top: 10px;
    left: 50%;
    transform: translate(-50%);
    display: none;
}

#pronoun-selection {
    width: 550px;
    height: 500px;
    position: relative;
    top: 10px;
    left: 50%;
    transform: translate(-50%);
    display: none;
}

.arabic-pronoun {
    font-family: amiri;
    font-size: 20px;
}

.section-instruction {
    text-align: center;
    color: darkblue;
    font-size: 20px;
    /* padding-bottom: 20px; */
    position: relative;
    width: 100%;
    left: 50%;
    transform: translate(-50%);
}

.section-details {
    margin-top: 20px;
    font-size: 25px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.section-details-form {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-top: 20px;
    font-size: 20px;
}

.section-details-form .checkbox {
    width: 300px;
    flex: 1;
    position: relative;
}

.section-details-more {
    text-align: left;
    padding-left: 230px;
}

.textWidth {
    width: 50px;
}

.scale {
    transform: scale(1.5, 1.5);
    padding-right: 5px;
}

.section-details label {
    font-size: 17px;
}

#btnPrevious {
    margin-right: 30px;
}

.tenseHeading {
    font-size: 25px;
    font-weight: bold;
    color: purple;
    margin-bottom: 10px;
}

#pronoun-section {
    display: flex;
    width: 600px;
    flex-direction: row;
    justify-content: space-around;
    position: relative;
    top: 40px;
    /* left: 20px; */
}

#singular,
#dual,
#plural {
    flex: 1;
    position: relative;
    width: 150px;
    left: 40px;
}

.arab {
    font-size: 30px;
    color: brown;
    font-family: scheherazade;
}

#mood-tense-section {
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    top: 40px;
}

#list-view-sort {
    width: 400px;
    position: relative;
    right: 100px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

#selectedVerbs {
    color: aqua;
    font-weight: bold;
}

.listCheckBoxes {
    transform: scale(1.5, 1.5);
}

#number-of-selected-verbs {
    color: dodgerblue;
}


/************* MODALS ***************/

.alert-modal-content {
    display: flex;
    flex-direction: column;
    /* width: 300px;
    height: 300px; */
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-height: 600px;
    /* width: 95vw; */
    /* max-width: 700px; */
    overflow-x: auto;
}

.alert-modal-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background-color: brown;
    color: white;
    border-radius: 15px 15px 0 0;
    height: 50px;
    padding-bottom: 10px;
}

.alert-modal-title {
    font-family: artifika;
    padding: 20px;
    font-size: 20px;
}

.alert-modal-close {
    padding-right: 10px;
}

.alert-modal-close button {
    width: 35px;
    height: 35px;
    border-color: gray;
    background-image: -webkit-linear-gradient(top, WhiteSmoke, #b4b3b3);
    background-image: -moz-linear-gradient(top, WhiteSmoke, #b4b3b3);
    background-image: -ms-linear-gradient(top, WhiteSmoke, #b4b3b3);
    background-image: -o-linear-gradient(top, WhiteSmoke, #b4b3b3);
    background-image: linear-gradient(to bottom, WhiteSmoke, #b4b3b3);
    background-color: dodgerblue;
    border-radius: 10px;
    color: white;
    font-size: 20px;
}

.alert-modal-close button:hover {
    /* background: brown; */
    text-decoration: none;
    color: dodgerblue;
}

.alert-modal-close {
    font-size: 30px;
}

.alert-modal-body {
    background-color: white;
    padding: 10px;
    max-height: 500px;
    overflow-y: auto;
}

.alert-modal-footer {
    background-color: brown;
    color: white;
    border-radius: 0 0 15px 15px;
    padding: 10px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
}

.alert-modal-footer button {
    margin-right: 10px;
}

.list-modal-content {
    display: flex;
    flex-direction: column;
    /* width: 300px;
    height: 300px; */
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-height: 600px;
    /* width: 95vw; */
    /* max-width: 700px; */
    overflow-x: auto;
}

.list-modal-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background-color: brown;
    color: white;
    border-radius: 15px 15px 0 0;
    height: 50px;
    padding-bottom: 10px;
}

.list-modal-title {
    font-family: artifika;
    padding: 20px;
    font-size: 20px;
}

.list-modal-close {
    padding-right: 10px;
}

.list-modal-close button {
    width: 35px;
    height: 35px;
    border-color: gray;
    background-image: -webkit-linear-gradient(top, WhiteSmoke, #b4b3b3);
    background-image: -moz-linear-gradient(top, WhiteSmoke, #b4b3b3);
    background-image: -ms-linear-gradient(top, WhiteSmoke, #b4b3b3);
    background-image: -o-linear-gradient(top, WhiteSmoke, #b4b3b3);
    background-image: linear-gradient(to bottom, WhiteSmoke, #b4b3b3);
    background-color: dodgerblue;
    border-radius: 10px;
    color: white;
    font-size: 20px;
}

.list-modal-close button:hover {
    /* background: brown; */
    text-decoration: none;
    color: dodgerblue;
}

.list-modal-close {
    font-size: 30px;
}

.list-modal-body {
    background-color: white;
    padding: 10px;
    /* max-height: 500px; */
    overflow-y: auto;
}

.list-modal-footer {
    background-color: brown;
    color: white;
    border-radius: 0 0 15px 15px;
    padding: 10px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
}

.list-modal-footer button {
    margin-right: 10px;
}

@media screen and (min-device-width: 600px) and (orientation:portrait) {
    #main-box {
        height: 70vh;
        width: 80vw;
    }
    #verb-list-selected-verbs {
        height: 400px;
    }
    .btn-size {
        transform: scale(1.5, 1.5);
    }
    .nav {
        bottom: 30px;
    }
    #list-modal-content {
        width: 100vw;
        height: 100vh;
    }
    .list-modal-content {
        height: 85%;
        max-height: initial;
    }
}

@media screen and (min-device-width: 760px) and (max-device-width: 1200px) and (orientation:landscape) {
    #main-box {
        width: 700px;
        height: 610px;
        top: 82px;
    }
    #verb-list-selected-verbs {
        height: 200px;
    }
}

@media screen and (max-device-width: 420px) and (orientation:portrait) {
    #main-box {
        width: 95vw;
        height: 80vh;
        top: 82px;
    }
    #main-title {
        font-size: 25px;
    }
    #main-instructions {
        font-size: 15px;
    }
    .section-instruction {
        font-size: 15px;
    }
    #verb-selection {
        width: 100%;
        height: 400px;
        position: relative;
        top: 10px;
        left: 50%;
        transform: translate(-50%);
        /* display: none; */
    }
    #verb-list-selected-verbs {
        height: 30vh;
        width: 100%;
        position: relative;
        top: initial;
        left: initial;
        transform: initial;
        overflow-x: hidden;
        /* background-color: whitesmoke;
        border-radius: 10px;
        overflow-y: auto;
        text-align: center;
        padding-top: 60px; */
    }
    .list-modal-title {
        font-family: artifika;
        padding: 20px;
        font-size: 16px;
    }
    #list-view-sort {
        width: 100%;
        position: relative;
        right: 0px;
        display: flex;
        flex-direction: row;
        justify-content: space-around;
    }
    #number-selected {
        display: none;
    }
    .shrink {
        font-size: 13px;
    }
    .list-modal-content {
        width: 100vw;
    }
    #sortForm {
        font-size: 15px;
    }
    #sortType {
        font-size: 15px;
    }
    .verb-list-arabic {
        font-size: 25px;
    }
    .table-heading {
        font-size: 13px;
    }
    .verb-list-type {
        font-size: 12px;
    }
    .listCheckBoxes {
        transform: scale(1, 1);
    }
    .verb-list-english {
        font-size: 15px;
    }
    #mood-tense-section {
        width: 309px;
        height: 400px;
        overflow-y: auto;
        position: relative;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        left: 50%;
        transform: translate(-50%);
    }
    #pronoun-section {
        width: 309px;
        height: 400px;
        overflow-y: auto;
        position: relative;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        left: 50%;
        transform: translate(-50%);
    }
}